%global pypi_name gammu

Name:           python-gammu
Version:        3.1
Release:        %mkrel 1
Summary:        Python bindings for Gammu
Group:          Development/Python
License:        GPLV2+
URL:            https://wammu.eu/python-gammu/
Source0:        https://dl.cihar.com/python-gammu/python-gammu-%{version}.tar.gz
BuildRequires:	pkgconfig(gammu)
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Python bindings which allow you to use (most) of Gammu functionality from
Python language.

%package -n     python3-gammu
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-gammu
Python bindings which allow you to use (most) of Gammu functionality from
Python language.

%prep
%autosetup

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-gammu
%license COPYING
%doc AUTHORS NEWS.rst README.rst
%{python3_sitearch}/gammu/
%{python3_sitearch}/python_gammu-%{version}-py?.?.egg-info/


%changelog
* Wed Sep 16 2020 guillomovitch <guillomovitch> 3.1-1.mga8
+ Revision: 1627180
- new version 3.1

* Sun Jul 05 2020 wally <wally> 3.0-1.mga8
+ Revision: 1602370
- new version 3.0

* Sun Feb 16 2020 umeabot <umeabot> 2.12-3.mga8
+ Revision: 1536325
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 2.12-2.mga8
+ Revision: 1453951
- rebuild for python3.8
- drop python2 support

* Sun Mar 17 2019 wally <wally> 2.12-1.mga7
+ Revision: 1378228
- new version 2.12

* Tue Jan 08 2019 shlomif <shlomif> 2.11-4.mga7
+ Revision: 1352915
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 2.11-3.mga7
+ Revision: 1300481
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 wally <wally> 2.11-2.mga7
+ Revision: 1222731
- obsolete old python-gammu from gammu

* Thu Apr 26 2018 wally <wally> 2.11-1.mga7
+ Revision: 1222712
- imported package python-gammu

